@echo off

if exist KeyLog.dll del KeyLog.dll

ml /c /coff /Cp KeyLog.asm

link /SUBSYSTEM:WINDOWS /DLL /DEF:KeyLog.def KeyLog.obj

if exist KeyLog.obj del KeyLog.obj
if exist KeyLog.exp del KeyLog.exp
if exist KeyLog.lib del KeyLog.lib

if not exist KeyLog.dll goto skip
..\..\Compiler\FileToDB.exe KeyLog.dll
del KeyLog.dll
move KeyLog.dll.asm ..\KeyLog.dll.asm
:skip

pause